%define perlversion 5.10.0
Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	displays GPS position on a map.
Name:		gpsdrive
Version:	2.10
Release:	1
License:	GNU/GPL
URL:		http://gpsdrive.kraftvoll.at
Group:		Navigation
#Source0:	%{name}-%{version}pre4.tar.gz
Source0:	gpsdrive-2.10svn19337745.tar.gz
#Patch0:		%{name}-desktop.patch
Patch1:		gpsdrive-2.10pre4-freetype.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	gtk2+-devel glib-devel atk-devel pango-devel cairo-devel pcre-devel gettext-devel
BuildRequires:  mapnik-devel gdal-devel dbus-devel
Requires:	gtk2+ glib pcre perl-XML-Simple
Provides:	perl(Geo::OSM::OsmReaderV3) perl(Geo::OSM::OsmReaderV5) perl(Geo::OSM::EntitiesV3) perl(Geo::OSM::EntitiesV5)
#AutoReq:	0

%description
GpsDrive displays your position provided from your NMEA capable GPS
receiver on a zoomable map . The maps are autoselected depending on
your position. You can set prefered scale, which the program tries to
get from available maps.

GpsDrive was tested with a GARMIN GPS III, a Crux II GPS PCMCIA
card and a Navilock USB receiver. All Garmin GPS reveivers with a serial output should be
usable. Other GPS reveivers that sends NMEA protocol over the
serial output should also work with GpsDrive.

%post
ldconfig

%postun
ldconfig

%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%prep
%setup -n %{name}-%{version}svn19337745
#%patch0 -p1
#%patch1 -p1

%build
mkdir build
pushd build
cmake ../ -DCMAKE_INSTALL_PREFIX=%_prefix 
#-DWITH_GDAL=ON
make
popd build

%install
rm -rf $RPM_BUILD_ROOT
pushd build
make install DESTDIR=$RPM_BUILD_ROOT PERL_PACKAGE_DIR=/usr/lib/perl5/site_perl/%{perlversion}
popd build
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%_bindir
%_libdir/perl5
%_datadir



%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun May 11 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.10-1
- version update
- svn19337745
* Sat Nov 18 2005 Christian Wasem <wasem@ccux-linux.de> 2.09-2
- added desktop patch
* Fri Nov 18 2005 Stefan Gottwald <gotti@ccux-linux.de> 2.09-1
- Initial Release
